当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]关于安装ATI驱动的一些心得(纯净系统+以前安装失败解决办法)
帖子发表于 : 2008-04-21 9:47 

注册: 2006-04-21 16:45
帖子: 157
送出感谢: 0 次
接收感谢: 0 次
A卡对于我来说真实噩梦,不知道ubuntu身后支持的财团是不是Nvidia的头头?

A卡的驱动问题一直困扰我很久,之前也是浪费了好多时间在这个上面,ubuntu真实很让我心碎阿

下面就先说一下A卡驱动的安装,包括全新系统和以前安装驱动失败的系统

1、全新系统: 参考 http://forum.ubuntu.org.cn/viewtopic.php?t=116307,基本上没有什么问题,但是这个帖子对于非纯净系统的解决似乎没有什么办法
2、以前安装过驱动,升级后不能用了或者以前安装过,但是失败了,又或者以前起用过受限驱动,再安装A卡驱动发现出现很多错误,安装的驱动不能起作用,我想下面你可以看一下

因为之前看到上面大大关于纯净系统安装A卡驱动成功的的介绍,我专门重装了系统,成功!但是后来因为某些原因(我也是刚刚从windows转过来,虽然解除ubuntu相对较早,但是一直没有使用,也是初级菜鸟)还是重装了系统,在论坛看到一些人说升级后8.04 LTS已经可以启用受限驱动享受3D,兴奋的照做了,然后发现原来不适那么回事。。。 :cry:

所以只能自己动手再来了:
因为之前安装过驱动,但是输入
$aticonfig --initial
会提示一个已经发现一个fglrx设备,reboot后,驱动不能启用,开启视觉效果的扩展,白屏,打开硬件驱动管理,发现受限驱动运行中。。。但是在启用选项没有打钩,很奇怪,最后怒了,看我的经过

首先:
安装A卡驱动,按照http://forum.ubuntu.org.cn/viewtopic.php?t=116307,你尽管安装,不会有影响,为什么又这一步我后面会有说明
第二步:
去添加删除程序 搜索 ”fglrx“ 着硬件驱动 ,删除
第三步:
到新立得软件包管理器,搜索 ”fglrx“,删除所有已经安装的程序,一定要是所有的程序,然后重启
第四步:
你会发现,启动后图形界面会是低配置界面,你最多只能启用 800×600的分辨率,不管,进入界面后,字体很粗大,看起来好爽,但是这个不是我们需要的,然后打开终端,输入 aticonfig --initial,因为之前已经删除了所有fglrx驱动,所以现在肯定有效,然后reboot
(这里说明一下为什么又第一步先安装ATI驱动,因为在800×600的分辨率下面,你不可能安装它,你看不全驱动安装界面,没有办法continue :lol:
重启回来,你可以在终端输入 fglrxinfo 看看情况,呵呵

瞧瞧我的
yefeng@yefeng:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon 9550 / X1050 Series
OpenGL version string: 1.4 (2.1.7412 Release)

另外:我发现A卡的8-3驱动比最新的8-4驱动好用,安装成功率要高,不明原因,大家参考


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-28 8:27 

注册: 2006-04-21 16:45
帖子: 157
送出感谢: 0 次
接收感谢: 0 次
今天再次实现成功,如果有需要的可以来看看,呵呵


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-28 9:20 

注册: 2008-04-25 8:58
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
我的笔记本比较老,是集成显卡的.ATI Radeon IGP 340M的,驱动怎么装都搞不定,请赐教.


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-28 14:20 

注册: 2008-04-28 14:11
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
装受限,

如果你用8.04,连xorg.conf不用动就可以用了
要启动更多的3D效果,下载compiz manager去


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-04-28 22:16 

注册: 2008-04-24 14:35
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
标记下,留待学习


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-04-28 22:35 

注册: 2008-04-25 8:58
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
可是就是受限驱动装不上啊。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译